Members of the KDE Community are recommended to subscribe to the kde-community mailing list at https://mail.kde.org/mailman/listinfo/kde-community to allow them to participate in important discussions and receive other important announcements

Commit df841705 authored by Daniel Nicoletti's avatar Daniel Nicoletti

Set the project version using the CMake project command

parent 5647d811
project(print-manager)
cmake_minimum_required(VERSION 3.1)
cmake_policy(SET CMP0048 NEW)
project(print-manager VERSION 0.3.0)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.3.0")
# Print-Manager version
set(PM_VERSION "0.3.0" CACHE STRING "Print Manager version")
################# set KDE specific information #################
find_package(ECM 1.3.0 REQUIRED NO_MODULE)
......
......@@ -2,6 +2,7 @@
#define CONFIG_H
// Define the app-install database path.
#cmakedefine PM_VERSION "@PM_VERSION@"
#define PM_VERSION "@PROJECT_VERSION@"
#endif //CONFIG_H
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment